Package org.flowable.engine.migration

# Class ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<T extends ActivityMigrationMapping>

java.lang.Object
org.flowable.engine.migration.ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<T>

Direct Known Subclasses:
  `ProcessInstanceMigrationDocumentConverter.ManyToOneMappingConverter`, `ProcessInstanceMigrationDocumentConverter.OneToManyMappingConverter`, `ProcessInstanceMigrationDocumentConverter.OneToOneMappingConverter`

Enclosing class:
  `ProcessInstanceMigrationDocumentConverter`

public abstract static class ProcessInstanceMigrationDocumentConverter.BaseActivityMigrationMappingConverter<T extends ActivityMigrationMapping> extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseActivityMigrationMappingConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <M extends ActivityMigrationMappingOptions<T>>
  void`
  `convertAdditionalMappingInfoFromJson(M mapping, com.fasterxml.jackson.databind.JsonNode jsonNode)`
  `protected com.fasterxml.jackson.databind.node.ObjectNode`
  `convertAdditionalMappingInfoToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `abstract T`
  `convertFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected abstract com.fasterxml.jackson.databind.JsonNode`
  `convertLocalVariablesToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected abstract com.fasterxml.jackson.databind.node.ObjectNode`
  `convertMappingInfoToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected abstract com.fasterxml.jackson.databind.JsonNode`
  `convertNewAssigneeToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `convertToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected <V> V`
  `getLocalVariablesFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)`
  `protected String`
  `getNewAssigneeFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BaseActivityMigrationMappingConverter

    public BaseActivityMigrationMappingConverter()

- ## Method Details

  - ### convertToJson

    public com.fasterxml.jackson.databind.node.ObjectNode convertToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertMappingInfoToJson

    protected abstract com.fasterxml.jackson.databind.node.ObjectNode convertMappingInfoToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertAdditionalMappingInfoToJson

    protected com.fasterxml.jackson.databind.node.ObjectNode convertAdditionalMappingInfoToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertLocalVariablesToJson

    protected abstract com.fasterxml.jackson.databind.JsonNode convertLocalVariablesToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertNewAssigneeToJson

    protected abstract com.fasterxml.jackson.databind.JsonNode convertNewAssigneeToJson(T mapping, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertFromJson

    public abstract T convertFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### convertAdditionalMappingInfoFromJson

    protected <M extends ActivityMigrationMappingOptions<T>> void convertAdditionalMappingInfoFromJson(M mapping, com.fasterxml.jackson.databind.JsonNode jsonNode)

  - ### getLocalVariablesFromJson

    protected <V> V getLocalVariablesFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode, com.fasterxml.jackson.databind.ObjectMapper objectMapper)

  - ### getNewAssigneeFromJson

    protected String getNewAssigneeFromJson(com.fasterxml.jackson.databind.JsonNode jsonNode)